Last Comment Bug 633857 - missing #includes for OpenBSD
: missing #includes for OpenBSD
Status: RESOLVED FIXED
fixed-in-nanojit, fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: Other All
: -- normal (vote)
: mozilla6
Assigned To: Landry Breuil (:gaston)
:
:
Mentors:
Depends on: 634793
Blocks: openbsdmeta
  Show dependency treegraph
 
Reported: 2011-02-13 13:49 PST by Landry Breuil (:gaston)
Modified: 2011-05-11 11:02 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
missing stdint.h to fix build with --enable-debug (280 bytes, patch)
2011-02-13 13:50 PST, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
missing stdint.h inclusion for definition of intptr_t (273 bytes, patch)
2011-02-13 13:51 PST, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
missing sys/types.h inclusion (361 bytes, patch)
2011-02-13 13:52 PST, Landry Breuil (:gaston)
n.nethercote: review+
Details | Diff | Splinter Review
missing sys/types.h inclusion (371 bytes, patch)
2011-02-13 13:53 PST, Landry Breuil (:gaston)
cjones.bugs: review+
mbeltzner: approval2.0-
Details | Diff | Splinter Review
wrap inclusion of stdint.h within defined(XP_UNIX) (310 bytes, patch)
2011-02-14 11:44 PST, Landry Breuil (:gaston)
joe: review+
Details | Diff | Splinter Review
missing stdint.h inclusion for definition of intptr_t (287 bytes, patch)
2011-02-14 11:45 PST, Landry Breuil (:gaston)
joe: review+
Details | Diff | Splinter Review
Fix build failure in nsWebMReader.cpp (594 bytes, patch)
2011-02-16 07:41 PST, Landry Breuil (:gaston)
roc: review+
Details | Diff | Splinter Review
Fix build failure in nsWebMReader.cpp (501 bytes, patch)
2011-03-19 09:54 PDT, Landry Breuil (:gaston)
roc: review+
Details | Diff | Splinter Review
Include stdint.h on unix platforms (320 bytes, patch)
2011-03-19 09:56 PDT, Landry Breuil (:gaston)
ludovic: review+
Details | Diff | Splinter Review
Include stdint.h on unix platforms (344 bytes, patch)
2011-03-19 10:02 PDT, Landry Breuil (:gaston)
ludovic: review+
Details | Diff | Splinter Review
Include sys/types.h (338 bytes, patch)
2011-03-19 10:03 PDT, Landry Breuil (:gaston)
dvander: review+
Details | Diff | Splinter Review
Include sys/types.h (422 bytes, patch)
2011-03-19 10:04 PDT, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
Include sys/types.h inconditionally (432 bytes, patch)
2011-04-09 01:25 PDT, Landry Breuil (:gaston)
cjones.bugs: review+
Details | Diff | Splinter Review
patch ready to land for the 5 diffs (3.51 KB, patch)
2011-04-12 13:03 PDT, Landry Breuil (:gaston)
christian: approval‑mozilla‑aurora-
dveditz: approval2.0-
dveditz: approval1.9.2.18-
dveditz: approval1.9.1.20-
Details | Diff | Splinter Review
all patches but the nanojit one (2.80 KB, patch)
2011-04-12 13:32 PDT, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
nanojit patch (931 bytes, patch)
2011-04-12 13:33 PDT, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
nsWebMReader diff againt tip (844 bytes, patch)
2011-04-14 01:29 PDT, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review
nsWebMReader diff againt tip (784 bytes, patch)
2011-04-14 01:40 PDT, Landry Breuil (:gaston)
no flags Details | Diff | Splinter Review

Description Landry Breuil (:gaston) 2011-02-13 13:49:33 PST
User-Agent:       Midori/0.2 (X11; OpenBSD; U; fr-fr) WebKit/531.2+
Build Identifier: 

Trunk fails to build on OpenBSD in various places, because of a bunch of missing #include statements.
Those shouldn't harm other platforms, hence i didn't put them in defined() blocks.

Reproducible: Always
Comment 1 Landry Breuil (:gaston) 2011-02-13 13:50:51 PST
Created attachment 512056 [details] [diff] [review]
missing stdint.h to fix build with --enable-debug
Comment 2 Landry Breuil (:gaston) 2011-02-13 13:51:42 PST
Created attachment 512057 [details] [diff] [review]
missing stdint.h inclusion for definition of intptr_t
Comment 3 Landry Breuil (:gaston) 2011-02-13 13:52:44 PST
Created attachment 512058 [details] [diff] [review]
missing sys/types.h inclusion
Comment 4 Landry Breuil (:gaston) 2011-02-13 13:53:46 PST
Created attachment 512059 [details] [diff] [review]
missing sys/types.h inclusion
Comment 5 Makoto Kato [:m_kato] 2011-02-13 21:53:56 PST
Landry, you should set reviewer (I set it about last 2 patches).  Also, do you test your patches on other platform such as Windows?

I think that first 2 patches for gfx/thebe is incorrect. Because VC8 and VC9 have no stdint.h, so this cause bustage.
Comment 6 Landry Breuil (:gaston) 2011-02-14 00:29:54 PST
(In reply to comment #5)
> Landry, you should set reviewer (I set it about last 2 patches).  Also, do you
> test your patches on other platform such as Windows?

I only use one platform.

> I think that first 2 patches for gfx/thebe is incorrect. Because VC8 and VC9
> have no stdint.h, so this cause bustage.

Sure, maybe put them inside #ifdef HAVE_STDINT_H, as it seems to be a common idiom in mozilla codebase for that case. I'm not aware of the correct way of including system-specific headers in system-independant code, maybe XP_UNIX ?
Comment 7 Makoto Kato [:m_kato] 2011-02-14 00:46:23 PST
(In reply to comment #6)
> Sure, maybe put them inside #ifdef HAVE_STDINT_H, as it seems to be a common
> idiom in mozilla codebase for that case. I'm not aware of the correct way of
> including system-specific headers in system-independant code, maybe XP_UNIX ?

mozilla-central code has no HAVE_STDINT_H.  You should add check in configure.in like http://mxr.mozilla.org/mozilla-central/source/js/src/configure.in?mark=3121-3135#3123, or use XP_UNIX or OS predefined macro such as __OpenBSD__ .
Comment 8 Landry Breuil (:gaston) 2011-02-14 11:44:26 PST
Created attachment 512219 [details] [diff] [review]
wrap inclusion of stdint.h within defined(XP_UNIX)
Comment 9 Landry Breuil (:gaston) 2011-02-14 11:45:08 PST
Created attachment 512220 [details] [diff] [review]
missing stdint.h inclusion for definition of intptr_t

wrap inclusion of stdint.h within defined(XP_UNIX)
Comment 10 Landry Breuil (:gaston) 2011-02-16 01:50:36 PST
Comment on attachment 512219 [details] [diff] [review]
wrap inclusion of stdint.h within defined(XP_UNIX)

Setting ? for review flag, i have no idea whom to assign it, and https://wiki.mozilla.org/Bugzilla:Review points to a list of reviewers for... bugzilla itself.
Comment 11 Landry Breuil (:gaston) 2011-02-16 01:51:47 PST
Comment on attachment 512220 [details] [diff] [review]
missing stdint.h inclusion for definition of intptr_t

Setting ? for review flag, i have no idea whom to assign it, and
https://wiki.mozilla.org/Bugzilla:Review points to a list of reviewers for...
bugzilla itself.
Comment 12 Landry Breuil (:gaston) 2011-02-16 07:41:00 PST
Created attachment 512802 [details] [diff] [review]
Fix build failure in nsWebMReader.cpp

Without this patch, fails to build on OpenBSD/amd64 with :
nsWebMReader.cpp:704: error: invalid conversion from 'PRUint64*' to 'uint64_t*'

Might be related to https://bugzilla.mozilla.org/show_bug.cgi?id=599764
Comment 13 Makoto Kato [:m_kato] 2011-02-16 17:15:21 PST
Comment on attachment 512059 [details] [diff] [review]
missing sys/types.h inclusion

no risk due to adding #include
Comment 14 Makoto Kato [:m_kato] 2011-02-16 17:21:48 PST
(In reply to comment #12)
> Created attachment 512802 [details] [diff] [review]
> Fix build failure in nsWebMReader.cpp
> 
> Without this patch, fails to build on OpenBSD/amd64 with :
> nsWebMReader.cpp:704: error: invalid conversion from 'PRUint64*' to 'uint64_t*'
> 
> Might be related to https://bugzilla.mozilla.org/show_bug.cgi?id=599764

You should file NSPR bug.  We need OS macro like __APPLE__ into prtypes.h to fix this.
Comment 15 Mike Beltzner [:beltzner, not reading bugmail] 2011-02-17 12:32:07 PST
Comment on attachment 512059 [details] [diff] [review]
missing sys/types.h inclusion

r+ before a? please, for all these patches, and make sure it passes tryserver
Comment 16 Justin Dolske [:Dolske] 2011-02-17 17:05:53 PST
Comment on attachment 512802 [details] [diff] [review]
Fix build failure in nsWebMReader.cpp

I can't review this, you probably want roc. I've moved the review. (You may also want joe@drew.ca for the GFX bits, not sure if Vlad is still active there).

Seems like an odd change, though, since PRUint64s are used all over this file. Maybe OpenBSD is missing some header-fu to make the conversion to a pointer work properly? Or some conflicting definition of nestegg_tstamp_scale()?
Comment 17 Justin Dolske [:Dolske] 2011-02-17 17:12:18 PST
Oh, I guess comment 12/14 already cover what the fix is that I'd have expected.
Comment 18 Landry Breuil (:gaston) 2011-02-24 01:10:29 PST
(In reply to comment #15)
> Comment on attachment 512059 [details] [diff] [review]
> missing sys/types.h inclusion
> 
> r+ before a? please, for all these patches, and make sure it passes tryserver

What's the procedure to get those patches sent to tryserver now ? Wait for r+ on the two stdint.h patches ?

https://bugzilla.mozilla.org/show_bug.cgi?id=634793 confirmed that https://bugzilla.mozilla.org/attachment.cgi?id=512802&action=diff was the right way to go.
Comment 19 Joe Drew (not getting mail) 2011-03-14 10:51:24 PDT
Comment on attachment 512219 [details] [diff] [review]
wrap inclusion of stdint.h within defined(XP_UNIX)

Is there a downside to just including stdint.h everywhere? (Does that work on Windows?)
Comment 20 Landry Breuil (:gaston) 2011-03-15 00:15:38 PDT
I don't know Windows SDKs and which one mozilla uses, but the wikipedia page of stdint.h states that this file is "not shipped with older C++ compilers and Visual Studio C++ products prior to Visual Studio 2010".
Comment 21 Joe Drew (not getting mail) 2011-03-16 10:17:37 PDT
Comment on attachment 512219 [details] [diff] [review]
wrap inclusion of stdint.h within defined(XP_UNIX)

r=me as long as this passes try
Comment 22 Joe Drew (not getting mail) 2011-03-16 10:17:44 PDT
Comment on attachment 512220 [details] [diff] [review]
missing stdint.h inclusion for definition of intptr_t

r=me as long as this passes try
Comment 23 Ludovic Hirlimann [:Usul] 2011-03-16 10:28:01 PDT
Mark can you push to try ?
Comment 24 Landry Breuil (:gaston) 2011-03-19 09:54:39 PDT
Created attachment 520453 [details] [diff] [review]
Fix build failure in nsWebMReader.cpp

Exact same patch as 512802, but made with hg to please tryserver.
Comment 25 Landry Breuil (:gaston) 2011-03-19 09:56:22 PDT
Created attachment 520454 [details] [diff] [review]
Include stdint.h on unix platforms

Same patch as 512219 but made with hg to please tryserver.
Comment 26 Landry Breuil (:gaston) 2011-03-19 10:02:49 PDT
Created attachment 520455 [details] [diff] [review]
Include stdint.h on unix platforms

Same patch as 512220 but made with hg to please tryserver
Comment 27 Landry Breuil (:gaston) 2011-03-19 10:03:59 PDT
Created attachment 520456 [details] [diff] [review]
Include sys/types.h

Same patch as 512058 but made with hg to please tryserver.
Comment 28 Landry Breuil (:gaston) 2011-03-19 10:04:51 PDT
Created attachment 520457 [details] [diff] [review]
Include sys/types.h

Same patch as 512059 but made with hg to please tryserver.
Comment 29 Ludovic Hirlimann [:Usul] 2011-03-19 12:59:48 PDT
Comment on attachment 520454 [details] [diff] [review]
Include stdint.h on unix platforms

Carrying r+ from attachement 512219.

Pushed to try :
http://hg.mozilla.org/try/pushloghtml?changeset=f81d08f55de4
http://tbpl.mozilla.org/?tree=MozillaTry&rev=f81d08f55de4
Comment 30 Ludovic Hirlimann [:Usul] 2011-03-19 13:26:15 PDT
(In reply to comment #29)
> Comment on attachment 520454 [details] [diff] [review]
> Include stdint.h on unix platforms
> 
> Carrying r+ from attachement 512219.
> 
> Pushed to try :
> http://hg.mozilla.org/try/pushloghtml?changeset=f81d08f55de4
> http://tbpl.mozilla.org/?tree=MozillaTry&rev=f81d08f55de4

Passes.
Comment 31 Ludovic Hirlimann [:Usul] 2011-03-19 23:43:53 PDT
Comment on attachment 520455 [details] [diff] [review]
Include stdint.h on unix platforms

Carrying r+

Pushed to try http://tbpl.mozilla.org/?tree=MozillaTry&rev=1e5ac56f8706
Comment 32 Ludovic Hirlimann [:Usul] 2011-03-21 07:06:59 PDT
(In reply to comment #31)
> Comment on attachment 520455 [details] [diff] [review]
> Include stdint.h on unix platforms
> 
> Carrying r+
> 
> Pushed to try http://tbpl.mozilla.org/?tree=MozillaTry&rev=1e5ac56f8706

Passes. Now we need to wait for the tree to reopen to mark these checking needed.
Comment 33 Ludovic Hirlimann [:Usul] 2011-03-21 07:14:03 PDT
Comment on attachment 520457 [details] [diff] [review]
Include sys/types.h

Ted ain't sure you're the right person to ask review to , sorry if you aren't.
Comment 34 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-03-21 13:23:49 PDT
Comment on attachment 520453 [details] [diff] [review]
Fix build failure in nsWebMReader.cpp

I can't review code here.
Comment 35 Ludovic Hirlimann [:Usul] 2011-03-22 05:08:28 PDT
(In reply to comment #34)
> Comment on attachment 520453 [details] [diff] [review]
> Fix build failure in nsWebMReader.cpp
> 
> I can't review code here.

Wasn't sure who could for Webm :(
Comment 36 Ted Mielczarek [:ted.mielczarek] 2011-03-24 10:25:10 PDT
Comment on attachment 520457 [details] [diff] [review]
Include sys/types.h

Punting to cjones, sorry.
Comment 37 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-03-25 14:14:27 PDT
Comment on attachment 520457 [details] [diff] [review]
Include sys/types.h

Why is sys/types.h only included #ifdef MALLOC_H?  MSVC has sys/types.h; if you just include it unconditionally and it builds everywhere, that would be fine with me.
Comment 38 Landry Breuil (:gaston) 2011-03-26 02:19:57 PDT
(In reply to comment #37)
> Comment on attachment 520457 [details] [diff] [review]
> Include sys/types.h
> 
> Why is sys/types.h only included #ifdef MALLOC_H?  MSVC has sys/types.h; if you
> just include it unconditionally and it builds everywhere, that would be fine
> with me.

Sure, find someone to push it to try. I'm not the one who will test for other archs, and i have no idea if it can cause follout there. 

Build failure was:
In file included from mozalloc.cpp:46:
/usr/include/sys/malloc.h:324: error: 'u_short' does not name a type
/usr/include/sys/malloc.h:325: error: 'u_short' does not name a type
/usr/include/sys/malloc.h:338: error: 'u_short' does not name a type
/usr/include/sys/malloc.h:339: error: 'u_short' does not name a type
/usr/include/sys/malloc.h:349: error: 'caddr_t' does not name a type
/usr/include/sys/malloc.h:350: error: 'caddr_t' does not name a type
/usr/include/sys/malloc.h:351: error: 'u_int64_t' does not name a type
/usr/include/sys/malloc.h:352: error: 'u_int64_t' does not name a type
/usr/include/sys/malloc.h:353: error: 'u_int64_t' does not name a type
/usr/include/sys/malloc.h:354: error: 'u_int64_t' does not name a type
/usr/include/sys/malloc.h:355: error: 'u_int64_t' does not name a type
/usr/include/sys/malloc.h:356: error: 'u_int64_t' does not name a type

To me, the logic is that one should not include sys/malloc.h directly, but rather use stdlib.h. The comments states it's for valloc(), which requires stdlib.h.

All those patches were already r+, why do we need to discuss them again and again ?
Comment 39 Landry Breuil (:gaston) 2011-04-09 01:25:52 PDT
Created attachment 524810 [details] [diff] [review]
Include sys/types.h inconditionally

Include sys/types.h inconditionally as requested in https://bugzilla.mozilla.org/show_bug.cgi?id=633857#c37
Can someone push it to try-server ?
Comment 40 Ludovic Hirlimann [:Usul] 2011-04-11 00:32:28 PDT
(In reply to comment #39)
> Created attachment 524810 [details] [diff] [review]
> Include sys/types.h inconditionally
> 
> Include sys/types.h inconditionally as requested in
> https://bugzilla.mozilla.org/show_bug.cgi?id=633857#c37
> Can someone push it to try-server ?

http://hg.mozilla.org/try/pushloghtml?changeset=780a8c250c14
http://tbpl.mozilla.org/?tree=MozillaTry&rev=780a8c250c14
Comment 41 Ludovic Hirlimann [:Usul] 2011-04-11 06:42:14 PDT
Mac builders failed so pushing mac only : http://hg.mozilla.org/try/pushloghtml?changeset=26aaae3fa7fd and http://tbpl.mozilla.org/?tree=MozillaTry&rev=26aaae3fa7fd
Comment 42 :Ehsan Akhgari 2011-04-12 12:36:03 PDT
Which one of these patches needs to be landed?  If all 5, then could you please submit a single patch combining them (or a bungle containing all 5 of them)?

Please see <https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3f> on how to generate the correct format of patches.  Thanks!
Comment 43 Landry Breuil (:gaston) 2011-04-12 13:03:13 PDT
Created attachment 525481 [details] [diff] [review]
patch ready to land for the 5 diffs

Here you are, though i'm not really familiar with mercurial...
Comment 44 Makoto Kato [:m_kato] 2011-04-12 13:26:17 PDT
(In reply to comment #43)
> Created attachment 525481 [details] [diff] [review]
> patch ready to land for the 5 diffs
> 
> Here you are, though i'm not really familiar with mercurial...

Don't include nanojit fix.  See https://developer.mozilla.org/en/NanojitMerge
Comment 45 Landry Breuil (:gaston) 2011-04-12 13:32:40 PDT
Created attachment 525491 [details] [diff] [review]
all patches but the nanojit one
Comment 46 Landry Breuil (:gaston) 2011-04-12 13:33:34 PDT
Created attachment 525492 [details] [diff] [review]
nanojit patch

Can't someone familiar with mozilla trees and process take care of landing the patches, in one go or separated ? I've done the same patches 3 or 4 times, they are mostly oneliners, have been reviewed twice, passed try-servers, but still can't get simply commited.
The process is utterly painful. No wonder why contributors are dragged away....
Comment 47 Makoto Kato [:m_kato] 2011-04-12 15:17:44 PDT
(In reply to comment #46)
> Created attachment 525492 [details] [diff] [review]
> nanojit patch
> 
> Can't someone familiar with mozilla trees and process take care of landing the
> patches, in one go or separated ? I've done the same patches 3 or 4 times, they
> are mostly oneliners, have been reviewed twice, passed try-servers, but still
> can't get simply commited.
> The process is utterly painful. No wonder why contributors are dragged away....

nanojit fix is already reviewed by dvander.  But checked-in rule for nanojit is different.  Because it is shared with Adobe (for ActionScript).  So we must land it into nanojit-central at first, then it merged into tracemonkey tree, then mozilla-central...  Mozilla uses a lot of third-party code, so there is a few complex rules.

I understand that you (and non-Mozilla developer) confuse this.  But each OSS projects have owns checked-in rule.  (You are OpenBSD developer, so you can understand it). If you separate bugs each modules when filing bugs, I believe that review process will be more easy.

Also, unfortunately, Although you filed this at Feb, that time was needed a+ for Firefox 4, also for Firefox 5, tree was managed.  So this will be landed for Firefox 6.
Comment 48 :Ms2ger (⌚ UTC+1/+2) 2011-04-13 12:53:58 PDT
patching file content/media/webm/nsWebMReader.cpp
Hunk #1 FAILED at 768
Comment 49 Paul Biggar 2011-04-13 13:21:27 PDT
(In reply to comment #46)
> The process is utterly painful. No wonder why contributors are dragged away....

I agree. We've got a process underway to try and make this easier. I'm going to bring this bug up as an example of how difficult it is for contributors.

I'd just like to say that as an organization, we are very interested in solving this. However, with the number of modules, components, and even repositories, we're currently facing an uphill battle.

I believe that this is felt most strongly in patches like this that cross many boundaries, and that it isn't quite so bad otherwise. But I shepherded a new contributor through a bug that needed to be split into 5 parts and get 5 separate reviewers, and it was certainly a harrowing experience.

I'm going to bring this up on mozillians@ (and maybe dev-planning@), and see if we can figure this out. I'll CC you.
Comment 50 Makoto Kato [:m_kato] 2011-04-13 15:20:06 PDT
Also, I will take care for landing.
Comment 51 Makoto Kato [:m_kato] 2011-04-13 22:23:34 PDT
landed nanojit part to nanojit-central
http://hg.mozilla.org/projects/nanojit-central/rev/05d5e4afb6e4
Comment 52 Landry Breuil (:gaston) 2011-04-14 01:29:41 PDT
Created attachment 525956 [details] [diff] [review]
nsWebMReader diff againt tip

Fixed patch
Comment 53 Landry Breuil (:gaston) 2011-04-14 01:40:58 PDT
Created attachment 525961 [details] [diff] [review]
nsWebMReader diff againt tip

Grr, seems like mercurial hates me, and it's a shared feeling. hopefully against real tip.
Comment 55 Landry Breuil (:gaston) 2011-04-14 23:19:36 PDT
Phew. Thanks to everyone involved :) !
Comment 56 Landry Breuil (:gaston) 2011-04-15 01:14:36 PDT
Comment on attachment 525481 [details] [diff] [review]
patch ready to land for the 5 diffs

Since those are only build fixes and causes no harm on m-c, can this patch (well, those 5 patches/4 commits) be backported to existing branches ?
If needed, i can provide distinct diffs against each branches, but i'd like to avoid checking out 3 * releases/mozilla-xxx and mozilla-aurora.

What's the process here, should i reopen this bug, or file new ones targetting each branch ?
Comment 57 christian 2011-04-15 13:26:46 PDT
You got the process right :-)

We're not going to approve for aurora:

1. BSD distros can patch on top for 5
2. BDS distros will get the convenience for 6 (6 weeks after 5) as this already landed on mozilla-central

The other branches are a different issue as they have different rules and update cadences. The branch triage meeting will take care of those.
Comment 58 Landry Breuil (:gaston) 2011-04-15 15:36:36 PDT
(In reply to comment #57)
> You got the process right :-)
> 
> We're not going to approve for aurora:
> 
> 1. BSD distros can patch on top for 5
> 2. BDS distros will get the convenience for 6 (6 weeks after 5) as this already
> landed on mozilla-central

Agreed, thanks makes sense with the new schedule.

> The other branches are a different issue as they have different rules and
> update cadences. The branch triage meeting will take care of those.

ok, thanks.
Comment 59 Nicholas Nethercote [:njn] 2011-04-17 17:52:44 PDT
http://hg.mozilla.org/tracemonkey/rev/6c0c0e9351fd
Comment 60 Daniel Veditz [:dveditz] 2011-05-11 11:02:58 PDT
Comment on attachment 525481 [details] [diff] [review]
patch ready to land for the 5 diffs

Same rationale for older branches as for aurora

Note You need to log in before you can comment on or make changes to this bug.